Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Encodable.h File Reference

`#include "tao/Basic_Types.h"`
`#include "tao/TAO_Export.h"`

Include dependency graph for Encodable.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Encodable
| TAO_Encodable Interface. More...

## Detailed Description

Id:
  Encodable.h,v 1.8 2003/10/28 18:29:13 bala Exp

Defines the interface for classes that wish to be encodable/decodable into/from a CDR representation.

Author:
  Angelo Corsaro <corsaro@cs.wustl.edu>